
#include <TROOT.h>
#include <TMemberInspector.h>

#define _TemplateInit_(name,temp) \
   extern void AddClass(const char *cname, Version_t id, VoidFuncPtr_t dict); \
   extern void RemoveClass(const char *cname); \
   class _NAME3_(__Init,name,temp) { \
      public: \
         _NAME3_(__Init,name,temp)() { \
            AddClass(_QUOTE_(name<temp>), name<temp>::Class_Version(), \
                     &name<temp>::Dictionary); \
         } \
         ~_NAME3_(__Init,name,temp)() { \
            RemoveClass(_QUOTE_(name)); \
         } \
   }; \
   static _NAME3_(__Init,name,temp) _NAME3_(__gInit,name,temp);

#define _TemplateImp_(name,temp) \
   TClass *name<temp>::Class() \
          { if (!fgIsA) name<temp>::Dictionary(); return fgIsA; } \
   const char *name<temp>::ImplFileName() { return __FILE__; } \
   int name<temp>::ImplFileLine() { return __LINE__; } \
   TClass *name<temp>::fgIsA = 0; \
   _TemplateInit_(name,temp)

#define TemplateImp(name,temp) \
   void name<temp>::Dictionary() \
   { \
      TClass *c = CreateClass(_QUOTE_(name<temp>), Class_Version(), \
                              DeclFileName(), ImplFileName(), \
                              DeclFileLine(), ImplFileLine()); \
      fgIsA = c; \
   } \
   _TemplateImp_(name,temp)

