
// *********************************************************************
//
// $Source: /home/cluerep/CVS/arte/old/arte.hh,v $
// $Revision: 1.1.1.17 $
// $Author: cluerep $
// $Date: 2002/01/18 14:16:54 $
//
// Created: 03-97,   C. Borgmeier
//
// *********************************************************************

//
// This file is part of the C++ interface for Arte
// the HERA-B reconstruction and analysis tool
//

#ifndef ARTE_HH
#define ARTE_HH

//
// This part is copied from Gate/Object.h
//
#ifdef USE_ROOT
# include <TObject.h>
#else
# ifndef _TOBJECT_
class TObject {
public:
  TObject() {}
  TObject* Clone(void) { 
    //    cerr << "arte.hh: WrongTObject::Clone() called!!!" << endl;
    return this;
  }
};

#ifdef USE_GATE
# include  <vector>
typedef vector<TObject*> TObjArray;
#endif /* USE_GATE */

// from Rtypes.h
typedef int            Int_t;       //int 4 bytes
typedef float          Float_t;     //Float 4 bytes
typedef double         Double_t;    //Float 8 bytes
typedef char           Text_t;      //General string
typedef unsigned char  Bool_t;      //Boolean (0=false, 1=true)
typedef unsigned char  Byte_t;      //Byte (8 bits)
typedef short          Version_t;   //Class version identifier
typedef short          Short_t;     //2 bytes
typedef long           Long_t;      //4 bytes
typedef char           Option_t;    //Option string
typedef int            Ssiz_t;      //String size
typedef float          Real_t;      //TVector and TMatrix element type
#define _TOBJECT_

#endif /* _TOBJECT_ */
#endif /* USE_ROOT */


#if defined(USE_ROOT) && !defined(__CINT__)
#include <TClass.h>
#endif


class ArteLink
{
public:
  inline int& getRef() { return i; }
  inline int& getInt() { return i; }
#if !defined(ARTE_CXX_COMPAT_MODE) || ARTE_CXX_COMPAT_MODE==1
  inline int operator()() { return i; }
#endif

  inline void*& getVec() { return reinterpret_cast<void*&>( i ); }
protected:
  int i;
};


class ArteVector: public ArteLink
{
public:
  inline const int & operator()() { return getInt(); };
};


class ArtePointerBase;

template<class T>
class ArteRelVector: public ArteVector
{
public:
  ArteRelVector();
  ~ArteRelVector();

  void clear();
};


// This function will be specialized by non-ZEBRA relations.
// It is dummy here.
template<class T>
void arteSetRelation( ArteRelVector<T>&,
		      ArtePointerBase, ArtePointerBase,
		      unsigned int& l, unsigned int& r )
{}

#ifdef NO_ARTE
// #include <Gate/RtypesT.h>


#ifndef STUPID_DEF6
#define STUPID_DEF6

#endif /* STUPID_DEF6 */

#else               /*   ARTE   */

#ifndef STUPID_DEF3
#define STUPID_DEF3


extern struct {
  int nzebra, gversn;
  float zversn;
  int ixstor, ixevnt, ixcons, fendq[16], lq[8], iq[1];
} gcbank_;


#include "arte/ArteProto.hh"

#endif /* STUPID_DEF3 */
#endif               /*    ARTE    */

#ifndef STUPID_DEF2
#define STUPID_DEF2

/*
#ifdef USE_GATE
template <class T> class GClonesArray;

template <class T>
class GClonesArrayLink: public ArteVector
{
public:
  GClonesArrayLink( GClonesArray<T*>* a )
    : array( a ) {}

  GClonesArray<T*>* array;
};
#endif
*/
#include "arte/ArteTable.hh"

#endif /* STUPID_DEF2 */

//
// include the table definitions
//
#ifndef STUPID_DEF5
#define STUPID_DEF5

template <class T>
bool ArteTable<T>::isArteTable()
{
  return true;
}


#ifndef NO_ARTE
#include <auto/auto.hh>
#endif

#endif /* STUPID_DEF5 */

#ifndef STUPID_DEF4
#define STUPID_DEF4

#include "ArteRelations.hh"

#ifndef NO_ARTE
//
// Specialization for MTMT
//
inline void createRelation( ArtePointer<MTRA> el1, ArtePointer<MTRA> el2,
		     ArteInvOneRelationPointer<MTMT,MTRA> MTRA::* = 0
		     )
{
  mmbrel_(  ArteInvOneRelationPointer<MTMT,MTRA>::getLink().getInt(),
	    el1, el2 );
}


inline void createRelation( ArtePointer<RSEG> el1, ArtePointer<RSEG> el2,
		     ArteManRelationPointer<RSRS,RSEG> RSEG::* = 0
		     )
{
  mmbrel_(  ArteManRelationPointer<RSRS,RSEG>::getLink().getInt(),
	    el1, el2 );
}

#endif /* !NO_ARTE */

#include "arte/ArteTable.icc"

#endif /* STUPID_DEF4 */
#endif
