// **********************************************************************
//
// source:
//
// type:      source code
//
// created:   20. Mai 2000
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: Class to initialize the Clue library
//
// changes:
// 20 Mai 2000 (TG) creation
// 20 Nov 2000 (TG) added namespace CLUE
// 18 Dec 2000 (TG) exchanged ClueIni class by PkgIni class
// 19 Dec 2000 (TG) added ROOT_initializer object
//
// **********************************************************************

#include <iostream>

#include "clue/CVStag.Clue"
#include "clue/PkgIni.hh"
#include "clue/ClueIni.hh"

#ifdef NAMESPACE
namespace CLUE {
#endif
  
  // global CLUE symbol
  const PkgIni ClueSteer(xcvsMODULE_Clue, xcvsVERSION_Clue, xcvsDAYTIME_Clue);
  
#ifdef USE_ROOT
#include "TROOT.h"
  
  // object which does the ROOT initialization
  const ROOTini ROOT_initializer;
  
  //==============================================================================
  // Constructor
  //==============================================================================
  ROOTini:: ROOTini() {
    if(!gROOT) {
      cout << "====> INITIALIZE ROOT SYSTEM!" << endl;
      TROOT root("BEE", "The HERA-B analysis framework");
    }
  }
#endif

#ifdef NAMESPACE
} // namespace CLUE#endif
#endif
