#ifndef CLUE_INI_HH
#define CLUE_INI_HH
// ********************************************************************
//
// source:
//
// type:      source code
//
// created:   20. Mai 2000
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: Class to initialize the Clue library
//
// changes:
// 20 Mai 2000 (TG) creation
// 20 Nov 2000 (TG) added namespace CLUE
// 18 Dec 2000 (TG) removed ClueIni class; declare extern CLUE symbol
// 19 Dec 2000 (TG) added ROOTini class
// 15 Aug 2001 (TG) moved ROOTini CTOR to ClueIni.C
//
// ********************************************************************
#include <iosfwd>

#ifdef NAMESPACE
namespace CLUE {
#endif
  
  class PkgIni;
 
  /// Global CLUE object which holds XCVS information.
  extern const PkgIni ClueSteer;
  
#ifdef USE_ROOT
  /** Class to check whether the ROOT system is initialized. If not, initialize
      it.
      @author T. Glebe
  */
  //==============================================================================
  // ROOTini
  //==============================================================================
  class ROOTini {
  public:
    ///
    ROOTini();
  }; // ROOTini 
  
  extern const ROOTini ROOT_initializer;
#endif // USE_ROOT
  
#ifdef NAMESPACE
} // namespace CLUE
#endif
#endif
