#ifndef PDTNAMES_HH
#define PDTNAMES_HH

#ifdef NAMESPACE
namespace CLUE {
#endif

  class GTopp;

  /// $d$-Quark      
  extern GTopp dquark;
  /// $\bar{d}$-Quark      
  extern GTopp dquark_bar;
  /// $u$-Quark      
  extern GTopp uquark;
  /// $\bar{u}$-Quark      
  extern GTopp uquark_bar;
  /// $s$-Quark      
  extern GTopp squark;
  /// $\bar{s}$-Quark      
  extern GTopp squark_bar;
  /// $c$-Quark      
  extern GTopp cquark;
  /// $\bar{c}$-Quark      
  extern GTopp cquark_bar;
  /// $b$-Quark      
  extern GTopp bquark;
  /// $\bar{c}$-Quark      
  extern GTopp bquark_bar;
  /// $t$-Quark      
  extern GTopp tquark;
  /// $\bar{t}$-Quark      
  extern GTopp tquark_bar;
  /// $l$-Quark      
  extern GTopp lquark;
  /// $\bar{l}$-Quark      
  extern GTopp lquark_bar;
  /// $h$-Quark      
  extern GTopp hquark;
  /// $\bar{h}$-Quark      
  extern GTopp hquark_bar;
  /// $\nu$ Neutrino     
  extern GTopp nu;
  /// $e^-$ Elektron     
  extern GTopp e_minus;
  /// $e^+$ Positron     
  extern GTopp e_plus;
  /// $\nu_e$ Elektron-Neutrino     
  extern GTopp nu_e;
  /// $\bar{\nu}_e$ Anti-Elektron-Neutrino     
  extern GTopp nu_e_bar;
  /// $\mu^-$ Muon     
  extern GTopp mu_minus;
  /// $\mu^+$ Muon     
  extern GTopp mu_plus;
  /// $\nu_\mu$ Muon-Neutrino     
  extern GTopp nu_mu;
  /// $\bar{\nu}_\mu$ Anti-Muon-Neutrino     
  extern GTopp nu_mu_bar;
  /// $\tau^-$ Tau-Lepton     
  extern GTopp tau_minus;
  /// $\tau^+$ Tau-Lepton     
  extern GTopp tau_plus;
  /// $\nu_\tau$ Tau-Neutrino     
  extern GTopp nu_tau;
  /// $\bar{\nu}_\tau$ Anti-Tau-Neutrino     
  extern GTopp nu_tau_bar;
  /// $\chi^-$      
  extern GTopp chi_minus;
  /// $\chi^+$      
  extern GTopp chi_plus;
  /// $\nu_\chi$      
  extern GTopp nu_chi;
  /// $\bar{\nu}_\chi$      
  extern GTopp nu_chi_bar;
  /// $g$ Gluon     
  extern GTopp gluon;
  /// $\gamma$ Photon     
  extern GTopp photon;
  /// $Z$ Boson     
  extern GTopp Z;
  /// $W^+$ Boson     
  extern GTopp W_plus;
  /// $W^-$ Boson     
  extern GTopp W_minus;
  /// $h$ Higgs-Boson     
  extern GTopp Higgs;
  /// Reggeon      
  extern GTopp Reggeon;
  /// Pomeron      
  extern GTopp Pomeron;
  /// $Z'$ Boson     
  extern GTopp Z_prime;
  /// $Z''$ Boson     
  extern GTopp Z_prime_prime;
  /// $W'^+$ Boson     
  extern GTopp W_prime_plus;
  /// $W'^-$ Boson     
  extern GTopp W_prime_minus;
  /// $h_2$ Higgs     
  extern GTopp Higgs2;
  /// $h_3$ Higgs     
  extern GTopp Higgs3;
  /// $h^+$ Higgs     
  extern GTopp Higgs_plus;
  /// $h^-$ Higgs     
  extern GTopp Higgs_minus;
  /// $\eta_\textrm{tech}$ Technicolor?     
  extern GTopp eta_tech;
  /// $LQ_{ue}$ LeptoQuark?     
  extern GTopp LQ_ue;
  /// $\bar{LQ}$ Anti-LeptoQuark?     
  extern GTopp LQue_bar;
  /// $R$      
  extern GTopp R;
  /// $\bar{R}$      
  extern GTopp R_bar;
  ///       
  extern GTopp specflav;
  ///       
  extern GTopp rndmflav;
  ///       
  extern GTopp rndmflav_bar;
  /// Phasespace      
  extern GTopp phasespa;
  /// $c$-Hadron      
  extern GTopp c_minushadron;
  /// $\bar{c}$-Hadron      
  extern GTopp c_minushadron_bar;
  /// $b$-Hadron      
  extern GTopp b_minushadron;
  /// $\bar{b}$-Hadron      
  extern GTopp b_minushadron_bar;
  /// $t$-Hadron      
  extern GTopp t_minushadron;
  /// $\bar{t}$-Hadron      
  extern GTopp t_minushadron_bar;
  /// $l$-Hadron      
  extern GTopp l_minushadron;
  /// $\bar{l}$-Hadron      
  extern GTopp l_minushadron_bar;
  /// $h$-Hadron      
  extern GTopp h_minushadron;
  /// $\bar{h}$-Hadron      
  extern GTopp h_minushadron_bar;
  /// $W_\textrm{virt}^+$ virtual W-Boson    
  extern GTopp Wvirt_plus;
  /// $W_\textrm{virt}^-$ virtual W-Boson    
  extern GTopp Wvirt_minus;
  /// Di-Quark      
  extern GTopp diquark;
  /// Anti-Di-Quark      
  extern GTopp diquark_bar;
  ///       
  extern GTopp dd_1;
  ///       
  extern GTopp dd_1_bar;
  ///       
  extern GTopp ud_0;
  ///       
  extern GTopp ud_0_bar;
  ///       
  extern GTopp ud_1;
  ///       
  extern GTopp ud_1_bar;
  ///       
  extern GTopp uu_1;
  ///       
  extern GTopp uu_1_bar;
  ///       
  extern GTopp sd_0;
  ///       
  extern GTopp sd_0_bar;
  ///       
  extern GTopp sd_1;
  ///       
  extern GTopp sd_1_bar;
  ///       
  extern GTopp su_0;
  ///       
  extern GTopp su_0_bar;
  ///       
  extern GTopp su_1;
  ///       
  extern GTopp su_1_bar;
  ///       
  extern GTopp cluster;
  ///       
  extern GTopp pdtstring;
  ///       
  extern GTopp indep;
  ///       
  extern GTopp CMshower;
  ///       
  extern GTopp SPHEaxis;
  /// Thrust-Axis      
  extern GTopp THRUaxis;
  ///       
  extern GTopp CLUSjet;
  ///       
  extern GTopp CELLjet;
  /// Glueball      
  extern GTopp glueball;
  /// diffractive $\pi^+$     
  extern GTopp pidiffr_plus;
  /// diffractive $\pi^-$     
  extern GTopp pidiffr_minus;
  /// $\pi^0$ Meson     
  extern GTopp pi_zero;
  /// $\pi^+$ Meson     
  extern GTopp pi_plus;
  /// $\pi^-$ Meson     
  extern GTopp pi_minus;
  /// $\eta^0$ Meson     
  extern GTopp eta;
  /// $\rho^0$ Meson     
  extern GTopp rho_zero;
  /// $\rho^+$ Meson     
  extern GTopp rho_plus;
  /// $\rho^-$ Meson     
  extern GTopp rho_minus;
  /// $\omega$ Meson     
  extern GTopp omega;
  /// $\eta'$ Meson     
  extern GTopp eta_prime;
  /// $f_0$      
  extern GTopp f_0;
  /// $a_0^0$      
  extern GTopp a_0_zero;
  /// $a_0^+$      
  extern GTopp a_0_plus;
  /// $a_0^-$      
  extern GTopp a_0_minus;
  /// $\phi$ Meson     
  extern GTopp phi;
  /// $h_1$      
  extern GTopp h_1;
  /// $b(1235)_1^0$      
  extern GTopp b1235_1_zero;
  /// $b(1235)_1^+$      
  extern GTopp b1235_1_plus;
  /// $b(1235)_1^-$      
  extern GTopp b1235_1_minus;
  /// $a_1^0$      
  extern GTopp a_1_zero;
  /// $a_1^+$      
  extern GTopp a_1_plus;
  /// $a_1^-$      
  extern GTopp a_1_minus;
  /// $f_2$      
  extern GTopp f_2;
  /// $f_1$      
  extern GTopp f_1;
  /// $\eta(1295)$      
  extern GTopp eta1295;
  /// $f(1300)_0$      
  extern GTopp f1300_0;
  /// $\pi(1300)^0$      
  extern GTopp pi1300_zero;
  /// $\pi(1300)^+$      
  extern GTopp pi1300_plus;
  /// $\pi(1300)^-$      
  extern GTopp pi1300_minus;
  /// $a_2^0$      
  extern GTopp a_2_zero;
  /// $a_2^+$      
  extern GTopp a_2_plus;
  /// $a_2^-$      
  extern GTopp a_2_minus;
  /// $f'_0$      
  extern GTopp f_prime_0;
  /// $f'_1$      
  extern GTopp f_prime_1;
  /// $f(1420)_1$      
  extern GTopp f1420_1;
  /// $o(1420)$      
  extern GTopp o1420;
  /// $\eta(1440)$      
  extern GTopp eta1440;
  /// $\rho(1450)^0$      
  extern GTopp rho1450_zero;
  /// $\rho(1450)^+$      
  extern GTopp rho1450_plus;
  /// $\rho(1450)^-$      
  extern GTopp rho1450_minus;
  /// $f(1510)'_1$      
  extern GTopp f1510_prime_1;
  /// $f'_2$      
  extern GTopp f_prime_2;
  /// $f(1590)_0$      
  extern GTopp f1590_0;
  /// $\omega(1600)$      
  extern GTopp omega1600;
  /// $\omega_3$      
  extern GTopp omega3;
  /// $\pi_2^0$      
  extern GTopp pi_2_zero;
  /// $\pi_2^+$      
  extern GTopp pi_2_plus;
  /// $\pi_2^-$      
  extern GTopp pi_2_minus;
  /// $h'_1$      
  extern GTopp h_prime_1;
  /// $\rho_3^0$      
  extern GTopp rho_3_zero;
  /// $\rho_3^+$      
  extern GTopp rho_3_plus;
  /// $\rho_3^-$      
  extern GTopp rho_3_minus;
  /// $\rho(1700)^0$      
  extern GTopp rho1700_zero;
  /// $\rho(1700)^+$      
  extern GTopp rho1700_plus;
  /// $\rho(1700)^-$      
  extern GTopp rho1700_minus;
  /// $\phi_3$      
  extern GTopp phi_3;
  /// $f(2010)_2$      
  extern GTopp f2010_2;
  /// $f(2050)_4$      
  extern GTopp f2050_4;
  /// $f(2300)_2$      
  extern GTopp f2300_2;
  /// $f(2340)_2$      
  extern GTopp f2340_2;
  /// $K^0$      
  extern GTopp K_zero;
  /// $\bar{K}^0$      
  extern GTopp K_bar;
  /// $K^+$      
  extern GTopp K_plus;
  /// $K^-$      
  extern GTopp K_minus;
  /// $K_L$ K-long     
  extern GTopp K_L;
  /// $K_S$ K-short     
  extern GTopp K_S;
  /// $K^{\ast\,0}$      
  extern GTopp K_star_zero;
  /// $\bar{K}^{\ast\,0}$      
  extern GTopp K_star_bar;
  /// $K^{\ast\,+}$      
  extern GTopp K_star_plus;
  /// $K^{\ast\,-}$      
  extern GTopp K_star_minus;
  /// $K(1270)_1^0$      
  extern GTopp K1270_1_zero;
  /// $\bar{K}(1270)_1^0$      
  extern GTopp K1270_1_bar;
  /// $K(1270)_1^+$      
  extern GTopp K1270_1_plus;
  /// $K(1270)_1^-$      
  extern GTopp K1270_1_minus;
  /// $K(1400)_1^0$      
  extern GTopp K1400_1_zero;
  /// $\bar{K}(1400)_1^0$      
  extern GTopp K1400_1_bar;
  /// $K(1400)_1^+$      
  extern GTopp K1400_1_plus;
  /// $K(1400)_1^-$      
  extern GTopp K1400_1_minus;
  /// $K^{\ast\,0}(1410)$      
  extern GTopp K1410_star_zero;
  /// $\bar{K}^{\ast\,0}(1410)$      
  extern GTopp K1410_star_bar;
  /// $K^{\ast\,+}(1410)$      
  extern GTopp K1410_star_plus;
  /// $K^{\ast\,-}(1410)$      
  extern GTopp K1410_star_minus;
  /// $K^{\ast\,0}(1430)_0$      
  extern GTopp K1430_0_star_zero;
  /// $\bar{K}^{\ast\,0}(1430)_0$      
  extern GTopp K1430_0_star_bar;
  /// $K^{\ast\,+}(1430)_0$      
  extern GTopp K1430_0_star_plus;
  /// $K^{\ast\,-}(1430)_0$      
  extern GTopp K1430_0_star_minus;
  /// $K_2^{\ast\,0}$      
  extern GTopp K_2_star_zero;
  /// $\bar{K}_2^{\ast\,0}$      
  extern GTopp K_2_star_bar;
  /// $K_2^{\ast\,+}$      
  extern GTopp K_2_star_plus;
  /// $K_2^{\ast\,-}$      
  extern GTopp K_2_star_minus;
  /// $K^{\ast\,0}(1680)$      
  extern GTopp K1680_star_zero;
  /// $\bar{K}^{\ast\,0}(1680)$      
  extern GTopp K1680_star_bar;
  /// $K^{\ast\,+}(1680)$      
  extern GTopp K1680_star_plus;
  /// $K^{\ast\,-}(1680)$      
  extern GTopp K1680_star_minus;
  /// $K(1770)_2^0$      
  extern GTopp K1770_2_zero;
  /// $\bar{K}(1770)_2^0$      
  extern GTopp K1770_2_bar;
  /// $K(1770)_2^+$      
  extern GTopp K1770_2_plus;
  /// $K(1770)_2^-$      
  extern GTopp K1770_2_minus;
  /// $K^{\ast\,0}_3$      
  extern GTopp K_3_star_zero;
  /// $\bar{K}^{\ast\,0}_3$      
  extern GTopp K_3_star_bar;
  /// $K^{\ast\,+}_3$      
  extern GTopp K_3_star_plus;
  /// $K^{\ast\,-}_3$      
  extern GTopp K_3_star_minus;
  /// $K^{\ast\,0}(1820)_2$      
  extern GTopp K1820_2_zero;
  /// $\bar{K}^{\ast\,0}(1820)_2$      
  extern GTopp K1820_2_bar;
  /// $K^{\ast\,+}(1820)_2$      
  extern GTopp K1820_2_plus;
  /// $K^{\ast\,-}(1820)_2$      
  extern GTopp K1820_2_minus;
  /// $K^{\ast\,0}_4$      
  extern GTopp K_4_star_zero;
  /// $\bar{K}^{\ast\,0}_4$      
  extern GTopp K_4_star_bar;
  /// $K^{\ast\,+}_4$      
  extern GTopp K_4_star_plus;
  /// $K^{\ast\,-}_4$      
  extern GTopp K_4_star_minus;
  /// $D^0$      
  extern GTopp D_zero;
  /// $\bar{D}$      
  extern GTopp D_bar;
  /// $D^+$      
  extern GTopp D_plus;
  /// $D^-$      
  extern GTopp D_minus;
  /// $D_s^+$      
  extern GTopp D_s_plus;
  /// $D_s^-$      
  extern GTopp D_s_minus;
  /// $D^{\ast\,0}$      
  extern GTopp D_star_zero;
  /// $\bar{D}^{\ast\,0}$      
  extern GTopp D_star_bar;
  /// $D^{\ast\,+}$      
  extern GTopp D_star_plus;
  /// $D^{\ast\,-}$      
  extern GTopp D_star_minus;
  /// $D_s^{\ast\,+}$      
  extern GTopp D_s_star_plus;
  /// $D_s^{\ast\,-}$      
  extern GTopp D_s_star_minus;
  /// $D^{\ast\,0}_0$      
  extern GTopp D_0_star_zero;
  /// $\bar{D}^{\ast\,0}_0$      
  extern GTopp D_0_star_bar;
  /// $D^{\ast\,+}_0$      
  extern GTopp D_0_star_plus;
  /// $D^{\ast\,-}_0$      
  extern GTopp D_0_star_minus;
  /// $D^{\ast\,0}_{s0}$      
  extern GTopp D_s0_star_plus;
  /// $\bar{D}^{\ast\,0}_{s0}$      
  extern GTopp D_s0_star_minus;
  /// $D_1^0$      
  extern GTopp D_1_zero;
  /// $\bar{D}_1$      
  extern GTopp D_1_bar;
  /// $D_1^+$      
  extern GTopp D_1_plus;
  /// $D_1^-$      
  extern GTopp D_1_minus;
  /// $D_{s1}^+$      
  extern GTopp D_s1_plus;
  /// $D_{s1}^-$      
  extern GTopp D_s1_minus;
  /// $D^{\ast\,0}_1$      
  extern GTopp D_1_star_zero;
  /// $\bar{D}^{\ast\,0}_1$      
  extern GTopp D_1_star_bar;
  /// $D^{\ast\,+}_1$      
  extern GTopp D_1_star_plus;
  /// $D^{\ast\,-}_1$      
  extern GTopp D_1_star_minus;
  /// $D^{\ast\,+}_{s1}$      
  extern GTopp D_s1_star_plus;
  /// $D^{\ast\,-}_{s1}$      
  extern GTopp D_s1_star_minus;
  /// $D^{\ast\,0}_2$      
  extern GTopp D_2_star_zero;
  /// $\bar{D}^{\ast\,0}_2$      
  extern GTopp D_2_star_bar;
  /// $D^{\ast\,+}_2$      
  extern GTopp D_2_star_plus;
  /// $D^{\ast\,-}_2$      
  extern GTopp D_2_star_minus;
  /// $D^{\ast\,+}_{s2}$      
  extern GTopp D_s2_star_plus;
  /// $D^{\ast\,-}_{s2}$      
  extern GTopp D_s2_star_minus;
  /// $B^0$      
  extern GTopp B_zero;
  /// $\bar{B}^0$      
  extern GTopp B_bar;
  /// $B^+$      
  extern GTopp B_plus;
  /// $B^-$      
  extern GTopp B_minus;
  /// $B_s^0$      
  extern GTopp B_s_zero;
  /// $\bar{B}_s^0$      
  extern GTopp B_s_bar;
  /// $B_c^+$      
  extern GTopp B_c_plus;
  /// $B_c^-$      
  extern GTopp B_c_minus;
  /// $B^{\ast\,0}$      
  extern GTopp B_star_zero;
  /// $\bar{B}^{\ast\,0}$      
  extern GTopp B_star_bar;
  /// $B^{\ast\,+}$      
  extern GTopp B_star_plus;
  /// $B^{\ast\,-}$      
  extern GTopp B_star_minus;
  /// $B^{\ast\,0}_s$      
  extern GTopp B_s_star_zero;
  /// $\bar{B}^{\ast\,0}_s$      
  extern GTopp B_s_star_bar;
  /// $B^{\ast\,+}_c$      
  extern GTopp B_c_star_plus;
  /// $B^{\ast\,-}_c$      
  extern GTopp B_c_star_minus;
  /// $B^{\ast\,0}_0$      
  extern GTopp B_0_star_zero;
  /// $\bar{B}^{\ast\,0}_0$      
  extern GTopp B_0_star_bar;
  /// $B^{\ast\,+}_0$      
  extern GTopp B_0_star_plus;
  /// $B^{\ast\,-}_0$      
  extern GTopp B_0_star_minus;
  /// $B^{\ast\,0}_{s0}$      
  extern GTopp B_s0_star_zero;
  /// $\bar{B}^{\ast\,0}_{s0}$      
  extern GTopp B_s0_star_bar;
  /// $B^{\ast\,+}_{c0}$      
  extern GTopp B_c0_star_plus;
  /// $B^{\ast\,-}_{c0}$      
  extern GTopp B_c0_star_minus;
  /// $B_1^0$      
  extern GTopp B_1_zero;
  /// $\bar{B}_1^0$      
  extern GTopp B_1_bar;
  /// $B_1^+$      
  extern GTopp B_1_plus;
  /// $B_1^-$      
  extern GTopp B_1_minus;
  /// $B_{s1}^0$      
  extern GTopp B_s1_zero;
  /// $\bar{B}_{s1}^0$      
  extern GTopp B_s1_bar;
  /// $B_{c1}^+$      
  extern GTopp B_c1_plus;
  /// $B_{c1}^-$      
  extern GTopp B_c1_minus;
  /// $B^{\ast\,0}_1$      
  extern GTopp B_1_star_zero;
  /// $\bar{B}^{\ast\,0}_1$      
  extern GTopp B_1_star_bar;
  /// $B^{\ast\,+}_1$      
  extern GTopp B_1_star_plus;
  /// $B^{\ast\,-}_1$      
  extern GTopp B_1_star_minus;
  /// $B^{\ast\,0}_{s1}$      
  extern GTopp B_s1_star_zero;
  /// $\bar{B}^{\ast\,0}_{s1}$      
  extern GTopp B_s1_star_bar;
  /// $B^{\ast\,+}_{c1}$      
  extern GTopp B_c1_star_plus;
  /// $B^{\ast\,-}_{c1}$      
  extern GTopp B_c1_star_minus;
  /// $B^{\ast\,0}_2$      
  extern GTopp B_2_star_zero;
  /// $\bar{B}^{\ast\,0}_2$      
  extern GTopp B_2_star_bar;
  /// $B^{\ast\,+}_2$      
  extern GTopp B_2_star_plus;
  /// $B^{\ast\,-}_2$      
  extern GTopp B_2_star_minus;
  /// $B^{\ast\,0}_{s2}$      
  extern GTopp B_s2_star_zero;
  /// $\bar{B}^{\ast\,0}_{s2}$      
  extern GTopp B_s2_star_bar;
  /// $B^{\ast\,+}_{c2}$      
  extern GTopp B_c2_star_plus;
  /// $B^{\ast\,-}_{c2}$      
  extern GTopp B_c2_star_minus;
  /// $\eta_c$      
  extern GTopp eta_c;
  /// $J/\Psi$      
  extern GTopp Jpsi;
  /// $h_{c1}$      
  extern GTopp h_c1;
  /// $\chi_{c0}$      
  extern GTopp chi_c0;
  /// $\chi_{c1}$      
  extern GTopp chi_c1;
  /// $\chi_{c2}$      
  extern GTopp chi_c2;
  /// $\Psi(2S)$      
  extern GTopp psi2S;
  /// $\Psi(3S)$      
  extern GTopp psi3S;
  /// $\Psi(4S)$      
  extern GTopp psi4S;
  /// $\Psi(5S)$      
  extern GTopp psi5S;
  /// $\Psi(6S)$      
  extern GTopp psi6S;
  /// $\eta_b$      
  extern GTopp eta_b;
  /// $\Upsilon$      
  extern GTopp Upsilon;
  /// $h_{b1}$      
  extern GTopp h_b1;
  /// $\chi_{b0}$      
  extern GTopp chi_b0;
  /// $\chi_{b1}$      
  extern GTopp chi_b1;
  /// $\chi_{b2}$      
  extern GTopp chi_b2;
  /// $\Upsilon(2S)$      
  extern GTopp Ups2S;
  /// $\Upsilon(3S)$      
  extern GTopp Ups3S;
  /// $\Upsilon(4S)$      
  extern GTopp Ups4S;
  /// $\Upsilon(5S)$      
  extern GTopp Ups5S;
  /// $\Upsilon(6S)$      
  extern GTopp Ups6S;
  /// $\chi(2P)_{b0}$      
  extern GTopp chi2P_b0;
  /// $\chi(2P)_{b1}$      
  extern GTopp chi2P_b1;
  /// $\chi(2P)_{b2}$      
  extern GTopp chi2P_b2;
  /// $\eta_t$      
  extern GTopp eta_t;
  /// $\Theta$      
  extern GTopp Theta;
  /// $h_{t1}$      
  extern GTopp h_t1;
  /// $\chi_{t0}$      
  extern GTopp chi_t0;
  /// $\chi_{t1}$      
  extern GTopp chi_t1;
  /// $\chi_{t2}$      
  extern GTopp chi_t2;
  /// $\eta_l$      
  extern GTopp eta_l;
  /// $\Theta_l$      
  extern GTopp Theta_l;
  /// $h_{l1}$      
  extern GTopp h_l1;
  /// $\chi_{l0}$      
  extern GTopp chi_l0;
  /// $\chi_{l1}$      
  extern GTopp chi_l1;
  /// $\chi_{l2}$      
  extern GTopp chi_l2;
  /// $\eta_h$      
  extern GTopp eta_h;
  /// $\Theta_h$      
  extern GTopp Theta_h;
  /// $h_{h1}$      
  extern GTopp h_h1;
  /// $\chi_{h0}$      
  extern GTopp chi_h0;
  /// $\chi_{h1}$      
  extern GTopp chi_h1;
  /// $\chi_{h2}$      
  extern GTopp chi_h2;
  /// diffractive proton     
  extern GTopp pdiffr;
  /// diffractive anti-proton     
  extern GTopp pdiffr_bar;
  /// diffractive neutron     
  extern GTopp ndiffr;
  /// diffractive anti-neutron     
  extern GTopp nduffr_bar;
  /// Proton      
  extern GTopp proton;
  /// Antiproton      
  extern GTopp p_bar;
  /// Neutron      
  extern GTopp neutron;
  /// Antineutron      
  extern GTopp n_bar;
  /// $\Delta^{++}$      
  extern GTopp Delta_plus_plus;
  /// $\bar{\Delta}^{--}$      
  extern GTopp Delta_bar_minus_minus;
  /// $\Delta^+$      
  extern GTopp Delta_plus;
  /// $\bar{\Delta}^-$      
  extern GTopp Delta_bar_minus;
  /// $\Delta^0$      
  extern GTopp Delta_zero;
  /// $\bar{\Delta}^0$      
  extern GTopp Delta_bar_zero;
  /// $\Delta^-$      
  extern GTopp Delta_minus;
  /// $\bar{\Delta}^+$      
  extern GTopp Delta_bar_plus;
  /// $\Lambda^0$      
  extern GTopp Lam_zero;
  /// $\bar{\Lambda}^0$      
  extern GTopp Lam_bar_zero;
  /// $\Lambda_c^+$      
  extern GTopp Lam_c_plus;
  /// $\bar{\Lambda}_c^-$      
  extern GTopp Lam_c_bar_minus;
  /// $\Lambda_b^0$      
  extern GTopp Lam_b_zero;
  /// $\bar{\Lambda}_b^0$      
  extern GTopp Lam_b_bar_zero;
  /// $\Sigma^+$      
  extern GTopp Sig_plus;
  /// $\bar{\Sigma}^-$      
  extern GTopp Sig_bar_minus;
  /// $\Sigma^0$      
  extern GTopp Sig_zero;
  /// $\bar{\Sigma}^0$      
  extern GTopp Sig_bar_zero;
  /// $\Sigma^-$      
  extern GTopp Sig_minus;
  /// $\bar{\Sigma}^+$      
  extern GTopp Sig_bar_plus;
  /// $\Sigma_c^{++}$      
  extern GTopp Sig_c_plus_plus;
  /// $\bar{\Sigma}_c^{--}$      
  extern GTopp Sig_c_bar_minus_minus;
  /// $\Sigma_c^+$      
  extern GTopp Sig_c_plus;
  /// $\bar{\Sigma}_c^-$      
  extern GTopp Sig_c_bar_minus;
  /// $\Sigma_c^0$      
  extern GTopp Sig_c_zero;
  /// $\bar{\Sigma}_c^0$      
  extern GTopp Sig_c_bar_zero;
  /// $\Sigma_b^+$      
  extern GTopp Sig_b_plus;
  /// $\bar{\Sigma}_b^-$      
  extern GTopp Sig_b_bar_minus;
  /// $\Sigma_b^0$      
  extern GTopp Sig_b_zero;
  /// $\bar{\Sigma}_b^0$      
  extern GTopp Sig_b_bar_zero;
  /// $\Sigma_b^-$      
  extern GTopp Sig_b_minus;
  /// $\bar{\Sigma}_b^+$      
  extern GTopp Sig_b_bar_plus;
  /// $\Sigma^{\ast\,+}$      
  extern GTopp Sig_star_plus;
  /// $\bar{\Sigma}^{\ast\,-}$      
  extern GTopp Sig_star_bar_minus;
  /// $\Sigma^{\ast\,0}$      
  extern GTopp Sig_star_zero;
  /// $\bar{\Sigma}^{\ast\,0}$      
  extern GTopp Sig_star_bar_zero;
  /// $\Sigma^{\ast\,-}$      
  extern GTopp Sig_star_minus;
  /// $\bar{\Sigma}^{\ast\,+}$      
  extern GTopp Sig_star_bar_plus;
  /// $\Sigma_c^{\ast\,++}$      
  extern GTopp Sig_c_star_plus_plus;
  /// $\bar{\Sigma}_c^{\ast\,--}$      
  extern GTopp Sig_c_star_bar_minus_minus;
  /// $\Sigma_c^{\ast\,+}$      
  extern GTopp Sig_c_star_plus;
  /// $\bar{\Sigma}_c^{\ast\,-}$      
  extern GTopp Sig_c_star_bar_minus;
  /// $\Sigma_c^{\ast\,0}$      
  extern GTopp Sig_c_star_zero;
  /// $\bar{\Sigma}_c^{\ast\,0}$      
  extern GTopp Sig_c_star_bar_zero;
  /// $\Sigma_b^{\ast\,+}$      
  extern GTopp Sig_b_star_plus;
  /// $\bar{\Sigma}_b^{\ast\,-}$      
  extern GTopp Sig_b_star_bar_minus;
  /// $\Sigma_b^{\ast\,0}$      
  extern GTopp Sig_b_star_zero;
  /// $\bar{\Sigma}_b^{\ast\,0}$      
  extern GTopp Sig_b_star_bar_zero;
  /// $\Sigma_b^{\ast\,-}$      
  extern GTopp Sig_b_star_minus;
  /// $\bar{\Sigma}_b^{\ast\,+}$      
  extern GTopp Sig_b_star_bar_plus;
  /// $\Xi^0$      
  extern GTopp Xi_zero;
  /// $\bar{\Xi}^0$      
  extern GTopp Xi_bar_zero;
  /// $\Xi^-$      
  extern GTopp Xi_minus;
  /// $\bar{\Xi}^+$      
  extern GTopp Xi_bar_plus;
  /// $\Xi_c^+$      
  extern GTopp Xi_c_plus;
  /// $\bar{\Xi}_c^-$      
  extern GTopp Xi_c_bar_minus;
  /// $\Xi_c^0$      
  extern GTopp Xi_c_zero;
  /// $\bar{\Xi}_c^0$      
  extern GTopp Xi_c_bar_zero;
  /// ${\Xi'}_c^+$      
  extern GTopp Xi_prime_c_plus;
  /// $\bar{\Xi'}_c^-$      
  extern GTopp Xi_prime_c_bar_minus;
  /// ${\Xi'}_c^0$      
  extern GTopp Xi_prime_c_zero;
  /// $\bar{\Xi'}_c^0$      
  extern GTopp Xi_prime_c_bar_zero;
  /// $\Xi_{cc}^{++}$      
  extern GTopp Xi_cc_plus_plus;
  /// $\bar{\Xi}_{cc}^{--}$      
  extern GTopp Xi_cc_bar_minus_minus;
  /// $\Xi_{cc}^+$      
  extern GTopp Xi_cc_plus;
  /// $\bar{\Xi}_{cc}^-$      
  extern GTopp Xi_cc_bar_minus;
  /// $\Xi^{\ast\,0}$      
  extern GTopp Xi_star_zero;
  /// $\bar{\Xi}^{\ast\,0}$      
  extern GTopp Xi_star_bar_zero;
  /// $\Xi^{\ast\,-}$      
  extern GTopp Xi_star_minus;
  /// $\bar{\Xi}^{\ast\,+}$      
  extern GTopp Xi_star_bar_plus;
  /// $\Xi_c^{\ast\,+}$      
  extern GTopp Xi_c_star_plus;
  /// $\bar{\Xi}_c^{\ast\,-}$      
  extern GTopp Xi_c_star_bar_minus;
  /// $\Xi_c^{\ast\,0}$      
  extern GTopp Xi_c_star_zero;
  /// $\bar{\Xi}_c^{\ast\,0}$      
  extern GTopp Xi_c_star_bar_zero;
  /// $\Xi_{cc}^{\ast\,++}$      
  extern GTopp Xi_cc_star_plus_plus;
  /// $\bar{\Xi}_{cc}^{\ast\,--}$      
  extern GTopp Xi_cc_star_bar_minus_minus;
  /// $\Xi_{cc}^{\ast\,+}$      
  extern GTopp Xi_cc_star_plus;
  /// $\bar{\Xi}_{cc}^{\ast\,-}$      
  extern GTopp Xi_cc_star_bar_minus;
  /// $\Xi_b^0$      
  extern GTopp Xi_b_zero;
  /// $\bar{\Xi}_b^0$      
  extern GTopp Xi_b_bar_zero;
  /// $\Xi_b^-$      
  extern GTopp Xi_b_minus;
  /// $\bar{\Xi}^+$      
  extern GTopp Xi_b_bar_plus;
  /// ${\Xi'}_b^0$      
  extern GTopp Xi_prime_b_zero;
  /// $\bar{\Xi'}_b^0$      
  extern GTopp Xi_prime_b_bar_zero;
  /// ${\Xi'}_b^-$      
  extern GTopp Xi_prime_b_minus;
  /// $\bar{\Xi'}_b^+$      
  extern GTopp Xi_prime_b_bar_plus;
  /// $\Xi_{bc}^+$      
  extern GTopp Xi_bc_plus;
  /// $\bar{\Xi}_{bc}^-$      
  extern GTopp Xi_bc_bar_minus;
  /// $\Xi_{bc}^0$      
  extern GTopp Xi_bc_zero;
  /// $\bar{\Xi}_{bc}^0$      
  extern GTopp Xi_bc_bar_zero;
  /// ${\Xi'}_{bc}^+$      
  extern GTopp Xi_prime_bc_plus;
  /// $\bar{\Xi'}_{bc}^-$      
  extern GTopp Xi_prime_bc_bar_minus;
  /// ${\Xi'}_{bc}^0$      
  extern GTopp Xi_prime_bc_zero;
  /// $\bar{\Xi'}_{bc}^0$      
  extern GTopp Xi_prime_bc_bar_zero;
  /// $\Xi_{bb}^0$      
  extern GTopp Xi_bb_zero;
  /// $\bar{\Xi}_{bb}^0$      
  extern GTopp Xi_bb_bar_zero;
  /// $\Xi_{bb}^+$      
  extern GTopp Xi_bb_minus;
  /// $\bar{\Xi}_{bb}^-$      
  extern GTopp Xi_bb_bar_plus;
  /// $\Xi_b^{\ast\,0}$      
  extern GTopp Xi_b_star_zero;
  /// $\bar{\Xi}_b^{\ast\,0}$      
  extern GTopp Xi_b_star_bar_zero;
  /// $\Xi_b^{\ast\,-}$      
  extern GTopp Xi_b_star_minus;
  /// $\bar{\Xi}_b^{\ast\,+}$      
  extern GTopp Xi_b_star_bar_plus;
  /// $\Xi_{bc}^{\ast\,+}$      
  extern GTopp Xi_bc_star_plus;
  /// $\bar{\Xi}_{bc}^{\ast\,-}$      
  extern GTopp Xi_bc_star_bar_minus;
  /// $\Xi_{bc}^{\ast\,0}$      
  extern GTopp Xi_bc_star_zero;
  /// $\bar{\Xi}_{bc}^{\ast\,0}$      
  extern GTopp Xi_bc_star_bar_zero;
  /// $\Xi_{bb}^{\ast\,0}$      
  extern GTopp Xi_bb_star_zero;
  /// $\bar{\Xi}_{bb}^{\ast\,0}$      
  extern GTopp Xi_bb_star_bar_zero;
  /// $\Xi_{bb}^{\ast\,-}$      
  extern GTopp Xi_bb_star_minus;
  /// $\bar{\Xi}_{bb}^{\ast\,+}$      
  extern GTopp Xi_bb_star_bar_plus;
  /// $\Omega^-$      
  extern GTopp Ome_minus;
  /// $\bar{\Omega}^+$      
  extern GTopp Ome_bar_plus;
  /// $\Omega_c^0$      
  extern GTopp Ome_c_zero;
  /// $\bar{\Omega}_c^0$      
  extern GTopp Ome_c_bar_zero;
  /// $\Omega_{cc}^+$      
  extern GTopp Ome_cc_plus;
  /// $\bar{\Omega}_{cc}^-$      
  extern GTopp Ome_cc_bar_minus;
  /// $\Omega_{ccc}^{++}$      
  extern GTopp Ome_ccc_plus_plus;
  /// $\bar{\Omega}_{ccc}^{--}$      
  extern GTopp Ome_ccc_bar_minus_minus;
  /// $\Omega_b^-$      
  extern GTopp Ome_b_minus;
  /// $\bar{\Omega}_b^+$      
  extern GTopp Ome_b_bar_plus;
  /// $\Omega_{bc}^0$      
  extern GTopp Ome_bc_zero;
  /// $\bar{\Omega}_{bc}^0$      
  extern GTopp Ome_bc_bar_zero;
  /// ${\Omega'}_{bc}^0$      
  extern GTopp Ome_prime_bc_zero;
  /// $\bar{\Omega'}_{bc}^0$      
  extern GTopp Ome_prime_bc_bar_zero;
  /// $\Omega_{bcc}^+$      
  extern GTopp Ome_bcc_plus;
  /// $\bar{\Omega}_{bcc}^-$      
  extern GTopp Ome_bcc_bar_minus;
  /// $\Omega_{bb}^-$      
  extern GTopp Ome_bb_minus;
  /// $\bar{\Omega}_{bb}^+$      
  extern GTopp Ome_bb_bar_plus;
  /// $\Omega_{bbc}^0$      
  extern GTopp Ome_bbc_zero;
  /// $\bar{\Omega}_{bbc}^0$      
  extern GTopp Ome_bbc_bar_zero;
  /// $\Omega_{bbb}^-$      
  extern GTopp Ome_bbb_minus;
  /// $\bar{\Omega}_{bbb}^+$      
  extern GTopp Ome_bbb_bar_plus;
  /// $\Omega_c^{\ast\,0}$      
  extern GTopp Ome_c_star_zero;
  /// $\bar{\Omega}_c^{\ast\,0}$      
  extern GTopp Ome_c_star_bar_zero;
  /// $\Omega_{cc}^{\ast\,+}$      
  extern GTopp Ome_cc_star_plus;
  /// $\bar{\Omega}_{cc}^{\ast\,-}$      
  extern GTopp Ome_cc_star_bar_minus;
  /// $\Omega_b^{\ast\,-}$      
  extern GTopp Ome_b_star_minus;
  /// $\bar{\Omega}_b^{\ast\,+}$      
  extern GTopp Ome_b_star_bar_plus;
  /// $\Omega_{bc}^{\ast\,0}$      
  extern GTopp Ome_bc_star_zero;
  /// $\bar{\Omega}_{bc}^{\ast\,0}$      
  extern GTopp Ome_bc_star_bar_zero;
  /// $\Omega_{bcc}^{\ast\,+}$      
  extern GTopp Ome_bcc_star_plus;
  /// $\bar{\Omega}_{bcc}^{\ast\,-}$      
  extern GTopp Ome_bcc_star_bar_minus;
  /// $\Omega_{bb}^{\ast\,-}$      
  extern GTopp Ome_bb_star_minus;
  /// $\bar{\Omega}_{bb}^{\ast\,+}$      
  extern GTopp Ome_bb_star_bar_plus;
  /// $\Omega_{bbc}^{\ast\,0}$      
  extern GTopp Ome_bbc_star_zero;
  /// $\bar{\Omega}_{bbc}^{\ast\,0}$      
  extern GTopp Ome_bbc_star_bar_zero;
  ///       
  extern GTopp Deuteron;
  ///       
  extern GTopp Deuteron_bar;
  ///       
  extern GTopp Tritium;
  ///       
  extern GTopp Tritium_bar;
  ///       
  extern GTopp Alpha;
  ///       
  extern GTopp Alpha_bar;
  ///       
  extern GTopp Lithium;
  ///       
  extern GTopp Lithium_bar;
  ///       
  extern GTopp Beryllium;
  ///       
  extern GTopp Beryllium_bar;
  ///       
  extern GTopp Boron;
  ///       
  extern GTopp Boron_bar;
  ///       
  extern GTopp Carbon;
  ///       
  extern GTopp Carbon_bar;
  ///       
  extern GTopp Nitrogen;
  ///       
  extern GTopp Nitrogen_bar;
  ///       
  extern GTopp Oxygen;
  ///       
  extern GTopp Oxygen_bar;
  ///       
  extern GTopp Fluorine;
  ///       
  extern GTopp Fluorine_bar;
  ///       
  extern GTopp Neon;
  ///       
  extern GTopp Neon_bar;
  ///       
  extern GTopp Sodium;
  ///       
  extern GTopp Sodium_bar;
  ///       
  extern GTopp Magnesium;
  ///       
  extern GTopp Magnesium_bar;
  ///       
  extern GTopp Aluminum;
  ///       
  extern GTopp Aluminum_bar;
  ///       
  extern GTopp Silicon;
  ///       
  extern GTopp Silicon_bar;
  ///       
  extern GTopp Phosphoros;
  ///       
  extern GTopp Phosphoros_bar;
  ///       
  extern GTopp Sulfur;
  ///       
  extern GTopp Sulfur_bar;
  ///       
  extern GTopp Chlorine;
  ///       
  extern GTopp Chlorine_bar;
  ///       
  extern GTopp Argon;
  ///       
  extern GTopp Argon_bar;
  ///       
  extern GTopp Potassium;
  ///       
  extern GTopp Potassium_bar;
  ///       
  extern GTopp Calcium;
  ///       
  extern GTopp Calcium_bar;
  ///       
  extern GTopp Scandium;
  ///       
  extern GTopp Scandium_bar;
  ///       
  extern GTopp Titanium;
  ///       
  extern GTopp Titanium_bar;
  ///       
  extern GTopp Vanadium;
  ///       
  extern GTopp Vanadium_bar;
  ///       
  extern GTopp Chromium;
  ///       
  extern GTopp Chromium_bar;
  ///       
  extern GTopp Manganese;
  ///       
  extern GTopp Manganese_bar;
  ///       
  extern GTopp Iron;
  ///       
  extern GTopp Iron_bar;
  ///       
  extern GTopp Cobalt;
  ///       
  extern GTopp Cobalt_bar;
  ///       
  extern GTopp Nickel;
  ///       
  extern GTopp Nickel_bar;
  ///       
  extern GTopp Copper;
  ///       
  extern GTopp Copper_bar;
  ///       
  extern GTopp cd_0;
  ///       
  extern GTopp cd_0_bar;
  ///       
  extern GTopp cd_1;
  ///       
  extern GTopp cd_1_bar;
  ///       
  extern GTopp cu_0;
  ///       
  extern GTopp cu_0_bar;
  ///       
  extern GTopp cu_1;
  ///       
  extern GTopp cu_1_bar;
  /** Any particle */
  extern GTopp Any;
  /** Any positive particle */
  extern GTopp Any_plus;
  /** Any negative particle */
  extern GTopp Any_minus;

#ifdef NAMESPACE
} // namespace CLUE
#endif
#endif
