// ********************************************************************
//
// source:
//
// type:      source code
//
// created:   16. Nov 2000
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: CLUE forward declarations
//
// changes:
// 16 Nov 2000 creation
// 14 Aug 2001 removed TrackBase and Cl* declarations, added GTopp
//
// ********************************************************************
#ifndef CLUE_FWD_HH
#define CLUE_FWD_HH


#ifdef NAMESPACE
namespace CLUE {
#endif

  class RsegC;
  class ClueIni;
  class Wire;

  class Topp;
  class GTopp;
  class RtEvent;
  class StreamObject;

  class TrackClones;
  class RecoSegment;
  class RecoTrack;
  class RecoVertex;

  class EcalHit;
  class VDS_Track;
  class RICH_Track;
  class OTR_SpacePoint;
  class MuonTrack;

  class MC_Track;
  class MC_Vertex;

#ifdef NAMESPACE
} // namespace CLUE

#ifndef __CINT__
// smuggle this into cluedict.C
using namespace CLUE;
#endif  // __CINT__
#else   // NAMESPACE
#ifndef __CINT__
#define CLUE std
#endif
#endif  // NAMESPACE
#endif
