#ifndef __LambdaAnalysis_HH
#define __LambdaAnalysis_HH
// ********************************************************************
//
// source:
//
// type:      source code
//
// created:   Mon Jul 16 18:15:43 MEST 2001
//
// author:    glebe
//
// Description: 
//
// changes:
//
// ********************************************************************

#include "interfaces/AnalysisIf.hh"

class TH1F;
class TH2F;
class TNtuple;
class RtEvent;

//==============================================================================
// LambdaAnalysis
//==============================================================================
class LambdaAnalysis : public AnalysisIf {
public:
  /** @name --- Constructors --- */
  ///
  LambdaAnalysis(RtEvent* evt);
  ///
  virtual ~LambdaAnalysis() {}

  /** @name --- Access methods --- */
  ///
  bool EventSelect();
  ///
  bool DefineHistograms();
  ///
  bool DefinePattern();
  ///
  double Dmain(const TrackIf& track);
  ///
  double Dist(const SVertex<2>& vtx);
  ///
  bool Vertexing(TwoProngDecay cand, TNtuple* ntuple);
  ///
  bool Event();
  ///
  bool EventCleanup();
  ///
  bool End();
  ///
  inline const char *name() const { return "LambdaAnalysis"; }

private:
  RtEvent* event;

  // --- pattern --------------------------------------
  TrackPattern Piplus;
  TrackPattern Piminus;
  TrackPattern Proton;
  TrackPattern AntiProton;

  // Lambdas -> pi+pi-
  TwoProngDecay lambda;
  TwoProngDecay lambdabar;

  TNtuple* Lambda;
  TNtuple* Lambdabar;

}; // end of LambdaAnalysis
#endif

