#ifndef __Neutana_HH
#define __Neutana_HH
// ********************************************************************
//
// source:
//
// type:      source code
//
// created:   Mit Jul 11 13:45:50 MEST 2001
//
// author:    glebe
//
// Description: 
//
// changes:
//
// ********************************************************************

#include "interfaces/AnalysisIf.hh"

class TH1F;
class TH2F;
class TNtuple;
class RtEvent;

//==============================================================================
// Neutana
//==============================================================================
class Neutana : public AnalysisIf {
public:
  /** @name --- Constructors --- */
  ///
  Neutana(RtEvent* evt);
  ///
  virtual ~Neutana() {}

  /** @name --- Access methods --- */
  ///
  bool EventSelect();
  ///
  bool DefineHistograms();
  ///
  bool DefinePattern();
  ///
  bool Event();
  ///
  bool EventCleanup();
  ///
  bool End();
  ///
  inline const char *name() const { return "Neutana"; }

private:
  RtEvent* event;
  
  TrackPattern Photon;

  // pi0 -> gammagamma
  TwoProngDecay pizero;

  // K0 -> pi0pi0
  TwoProngDecay kzero;

  TH1F*    nhits;
  TNtuple* PiZero;
  TNtuple* Kzero;
}; // end of Neutana
#endif

