// *****************************************************************************
//
// source:
//
// type:      source code
//
// created:   20. Mai 2000
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: Class to initialize the Gate package
//
// changes:
// 20 Mai 2000 (TG) creation
// 01 Nov 2000 (TG) inherited GateIni from TObject, full ROOT integration
// 20 Nov 2000 (TG) added namespace CLUE
// 18 Dec 2000 (TG) removed GateIni class define global PkgIni object instead
//
// *****************************************************************************

#include "gate/CVStag.Gate"
#include "clue/PkgIni.hh"
#include "gate/GateIni.hh"

#ifdef NAMESPACE
namespace CLUE {
#endif

// global Gate symbol
const PkgIni GateSteer(xcvsMODULE_Gate, xcvsVERSION_Gate, xcvsDAYTIME_Gate);

#ifdef NAMESPACE
} // namespace CLUE
#endif
