// *****************************************************************************
//
// source:
//
// type:      source code
//
// created:   02. Nov 2000
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: ArteTable/GObjArray/ArtePointer instantiation file
//
// changes:
// 02 Nov 2000 (TG) creation, took most code from ClonesArray.C
//             which was created by C. Borgmeier on 14. Jul. 1998
// 06 Nov 2000 (TG) added code from ClonesTableSpec.hh (which became
//             obsolete by that).
// 07 Nov 2000 (TG) added symbol MAIN__(), which is needed for libf2c
// 20 Nov 2000 (TG) added namespace CLUE
// 06 Dec 2000 (TG) added include ClueRelation.hh
// 14 Aug 2001 (TG) removed TrackBase code
// 14 Nov 2001 (TG) code polishing
//
// *****************************************************************************
extern "C" void MAIN__() {}  // missing symbol in libf2c  

#include <iostream>

#include "clue/cluearte.hh"
#include "gate/ClonesArray.hh"
#include "gate/ClonesArray.icc"

#ifdef USE_ROOT
#include "gate/ObjArray.icc"
#endif

#include "grelation/ClueRelation.hh" // needed for relations
#include "clue/RecoTrack.hh"
#include "clue/RecoVertex.hh"
#include "clue/Wire.hh"
#include "clue/MC_Track.hh"
#include "clue/MC_Vertex.hh"
#include "clue/CustomTrack.hh"
#include "clue/Topp.hh"
#include "clue/TrackClones.hh"
#include "clue/EcalHit.hh"

#ifdef NAMESPACE
using namespace CLUE;
#endif

#ifdef USE_ROOT
#define GObjArrayImp(tmp) \
  template class GClonesArray<tmp*>;\
  template class GObjArray<tmp*>;\
  template class GObjArrayIterator<tmp*>;\
  template class ConstGObjArrayIterator<tmp*>;

#ifdef NAMESPACE
namespace CLUE {
#endif
GObjArrayImp(Wire)
GObjArrayImp(EcalHit)
GObjArrayImp(RecoTrack)
GObjArrayImp(VDS_Track)
GObjArrayImp(OTR_SpacePoint)
GObjArrayImp(RICH_Track)
GObjArrayImp(MuonTrack)
GObjArrayImp(RecoSegment)
GObjArrayImp(RecoVertex)
GObjArrayImp(MC_Track)
GObjArrayImp(MC_Vertex)
GObjArrayImp(Topp)
GObjArrayImp(TrackClones)
#ifdef NAMESPACE
  } // namespace CLUE
#endif

// ClassImp(ArtePointerBase)
  // ClassImpT(ArteTest,T)
ClassImpT(ArteTable,T)
ClassImpT(ArteTableIterator,T)
  // ClassImpT(ArtePointer,T)

// these statements are needed in order to get the
// templates work (linked) with CINT!
#define ArteTableImp(T) \
  template class ArteTable<T>;\
  template class ArteTableIterator<T>;\
  template class ArtePointer<T>;

ArteTableImp(RecoTrack)
ArteTableImp(RecoVertex)
ArteTableImp(MC_Track)
ArteTableImp(MC_Vertex)
ArteTableImp(TrackClones)
ArteTableImp(Topp)
ArteTableImp(Wire)
ArteTableImp(EcalHit)
ArteTableImp(VDS_Track)
ArteTableImp(OTR_SpacePoint)
ArteTableImp(RICH_Track)
ArteTableImp(MuonTrack)
#endif // USE_ROOT

