// *****************************************************************************
//
// source:
//
// type:      source code
//
// created:   20. Mai 2000
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: Class to initialize the Gate package
//
// changes:
// 20 Mai 2000 (TG) creation
// 01 Nov 2000 (TG) inherited GateIni from TObject, full ROOT integration
// 20 Nov 2000 (TG) added namespace CLUE
//
// *****************************************************************************

#include <iostream>
#include "gate/CVStag.Gate"
#include "gate/GateIni.hh"

#ifdef NAMESPACE
namespace CLUE {
#endif

  GateIni::initializer GateIni::doIni;
  
  const char *GateIni::Version = xcvsVERSION_Gate;
  const char *GateIni::Name    = xcvsMODULE_Gate;
  const char *GateIni::Date    = xcvsDAYTIME_Gate;

  //==============================================================================
  // Constructors
  //==============================================================================
  GateIni::GateIni() {}


  //==============================================================================
  // Constructor for private class initializer
  //==============================================================================
  GateIni::initializer::initializer() {
    cout << xcvsMODULE_Gate 
	 << " version " << xcvsVERSION_Gate 
	 << " loaded (" << xcvsDAYTIME_Gate << ")." 
	 << endl;
  }


  //============================================================================
  // GateIni::print
  //============================================================================
  void GateIni::print(std::ostream& os) const {
    cout << name()
	 << " version " << version()
	 << " loaded (" << date() << ")."
	 << endl;
  }
  
#ifdef USE_ROOT
  ClassImp(GateIni)
#endif
#ifdef NAMESPACE
} // namespace CLUE
#endif
