#include <vector>
#include <iostream>
#include "SCombiner.hh"
#include "SDCombiner.hh"
#include "GSCombiner.hh"

int main(void) {

  typedef vector<int>                       Int_v;
  typedef vector<int>::iterator             Int_it;

  Int_v a(5);
  Int_v b(5);
  
  a[0] = 0;
  a[1] = 1;
  a[2] = 2;
  a[3] = 3;
  a[4] = 4;

  b[0] = 10;
  b[1] = 11;
  b[2] = 12;
  b[3] = 13;
  b[4] = 14;

  typedef SDCombiner<Int_v>           SDC;
  typedef SDCombiner<Int_v>::iterator SDC_it;
  typedef GC_trait<Int_v>::GCombination     GCombination;
  typedef GC_trait<Int_v>::GCombination_cit GCombination_cit;

  SDC Comb(a,2);
  cout << " Comb: " << Comb << endl;

  SDC_it end = Comb.end();
  for(SDC_it it = Comb.begin(); it != end; ++it) {
    cout << it;

    cout << "    manually: ";
    const GCombination_cit vend = it.end();
    for(GCombination_cit cit = it.begin(); cit!= vend; ++cit)
      cout << **cit << " ";
    cout << endl;
  }

  Comb.set_N(3);
  end = Comb.end();
  for(SDC_it it = Comb.begin(); it != end; ++it) {
    cout << it << endl;
  }

  cout << " =================== GSCombiner ================" << endl;
  typedef GSCombiner<Int_v>           GSC;
  typedef GSCombiner<Int_v>::iterator GSC_it;

  Int_v* array[4] = { &a, &b };
  cout << " sizeof(array): " << sizeof(array)/sizeof(int) << endl;
  //  GSC GComb(array,2);
  GSC GComb;
  GComb.push_back(a);
  GComb.push_back(b);
  GComb.push_back(b);
  GComb.push_back(a);
  cout << " GComb: " << GComb << endl;
  cout << " valid: " << GComb.valid() << endl;
  cout << " GComb[0]: " << GComb[1] << endl;
  copy(GComb[1]->begin(), GComb[1]->end(), ostream_iterator<int>(cout, " "));
  cout << endl;

  GSC GComb2;
  GComb2 = GComb;
  cout << " GComb2: " << GComb2 <<endl;
  cout << " no of combinations: " << GComb2.ncomb() << endl;
  cout << " GComb: " << GComb << endl;

  const GSC_it gend = GComb2.end();
  for(GSC_it git = GComb2.begin(); git != gend; ++git) {
    cout << git << " size: " << git.size() << endl;
#ifdef XXX2
    cout << " my own printout: ";
#ifdef XXX
    const GCombination_cit vend = git.end();
    for(GCombination_cit cit = git.begin(); cit!= vend; ++cit)
      cout << **cit << " ";
#endif
    for(unsigned int i=0; i<git.size(); ++i)
      cout << *git[i] << " ";
    cout << endl;
#endif
  }
  return 0;
}
