#include <algorithm>

#ifndef GROVER_WITHOUT_ARTE
#include "arte/arte.hh"
#include "farm/farm.hh"
#include "arte/RSEG_cmp.hh"
#endif

#include "grover/grover.hh"

// Part of the Grover package
// Please see the header file grover.hh
// for authors etc.
//
//
// Modifications:
// When?     Who?     What?
// ------------------------------------------------------------------------
// 01-07-31  Michael  Implementaion
//

int GroverFillClonerm(GroverParticleList* clonermList)
{
  ////////////////////////////////////////////////////////////////////////
  //
  // Fills a GroverParticleList according to M.-A. Pleier's "Cloneremove" 
  //
  // Returns SUCCESS or FAILURE.
  //
  ////////////////////////////////////////////////////////////////////////


#ifndef GROVER_WITHOUT_ARTE

  if (clonermList->size()) {
    ARTE_error(GRR_SERROR,
       "GroverFillHit20: ERROR - initial size of particle List not 0!",0);
    return FAILURE;
  }

  int num_tr = 0;
  for( ArteTable<RTRA>::iterator rtraIt = ArteTable<RTRA>::begin();
       rtraIt != ArteTable<RTRA>::end() ; ++rtraIt){
    if ( rtraIt->cmp & Rsegc::clonerm ) {
      num_tr++;
      clonermList->push_back(GroverParticle(*rtraIt));
    }
  }

  if (num_tr==0) {
    ARTE_error(GRR_SINFO,
	       "GroverFillClonerm: INFO - no tracks selected from RTRA !",0);
  }
  
#endif


  return SUCCESS;
}
