#ifndef GROVER_WITHOUT_ARTE
#include "arte/arte.hh"
#endif

#include "grover/grover.hh"

//
// Part of the Grover package
// Please see the header file grover.hh
// for authors etc.
//
//
// Modifications:
// When?     Who?     What?
// YY-MM-DD  Name     Modification
// -----------------------------------------------------------------------------
// 01-02-28  Max      const safe
//

int GroverFillFromMVER(GroverVertexList* list, const int type = 1)
{
  ////////////////////////////////////////////////////////////////////////
  //
  // Fill a list of vertices from MVER according to type flag (default 1 =
  // primary vertices). NB: Internal particle list is filled with initial 
  // decay products, not long-lived daughters. This should be changed
  // in future! 
  //
  ////////////////////////////////////////////////////////////////////////
  int err = SUCCESS;
  
#ifndef GROVER_WITHOUT_ARTE
  if (ArteTable<MCIN>::booked()) {
    for (ArteTable<MVER>::iterator imver = ArteTable<MVER>::begin();
	 imver != ArteTable<MVER>::end(); ++imver) {
      if (imver->flag == type) {
	switch (type) {
	case 1: {
	  list->push_back(GroverVertex(imver));
	  break;
	}
	case 2: {
	  list->push_back(GroverVertex(imver));
	  break;
	}
	default: {
	  list->push_back(GroverVertex(imver));
	  break;
	}
	}
      }
    }
  }
  err = (list->empty()) ? FAILURE : SUCCESS;
#endif

  return err;
}
