#ifndef GROVER_WITHOUT_ARTE
#include "arte/arte.hh"
#include "arte/RSEG_cmp.hh"
#endif

#include "grover/grover.hh"
// Part of the Grover package
// Please see the header file grover.hh
// for authors etc.
//
//
// Modifications:
// When?     Who?     What?
// YY-MM-DD  Name     Modification
// -----------------------------------------------------------------------------
// 00-12-06  M.Sang   Fixed bug in VDS rseg selection (thanks Silvia)
//

int GroverFillFromRSEG(GroverParticleList* gpl)
{
  ////////////////////////////////////////////////////////////////////////
  //
  // Fills a GroverParticleList with all CATS vertex detector segments.
  // Returns 0 if OK, -1 if none found.
  //
  ////////////////////////////////////////////////////////////////////////

  int errorflag = SUCCESS;

#ifndef GROVER_WITHOUT_ARTE
  for (ArteTable<RSEG>::iterator irseg = ArteTable<RSEG>::begin();
       irseg != ArteTable<RSEG>::end(); ++irseg) {
    if ( (irseg->cmp == (1|Rsegc::bit16)) &&
	 (irseg->fit == 0)                  ) 
      gpl->push_back(GroverParticle(irseg));
  }
  if (gpl->empty()) errorflag = FAILURE;
#endif

  return errorflag;
}
