#ifndef GROVER_WITHOUT_ARTE
#include "arte/arte.hh"
#endif

#include "grover/grover.hh"

//
// Part of the Grover package
// Please see the header file grover.hh
// for authors etc.
//
//
// Modifications:
// When?     Who?     What?
// YY-MM-DD  Name     Modification
// -----------------------------------------------------------------------------
//
//

int GroverFillFromRVER(GroverVertexList* list)
{

  ////////////////////////////////////////////////////////////////////////
  //
  // Fills a GroverVertexList from RVER
  // - most of the work is done by the GroverVertex constructor!
  //
  // returns SUCCESS if OK, FAILURE if none found
  //
  ////////////////////////////////////////////////////////////////////////

#ifndef GROVER_WITHOUT_ARTE
  if (ArteTable<RVER>::size() > 0) {
    for (ArteTable<RVER>::iterator irver = ArteTable<RVER>::begin();
	 irver != ArteTable<RVER>::end(); ++irver) {
      GroverVertex vtx(irver);
      list->push_back(vtx);
    }
  }
#endif
  
  return (list->empty()) ? FAILURE : SUCCESS;
}
