#ifndef __BEE_HH
#define __BEE_HH
// *****************************************************************************
//
// source:
//
// type:      source code
//
// created:   09. Jan 2001
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: BEE header file
//              Note: the user should try to avoid to include this header file
//                    as it includes a lot of code and can cause unwanted code bloat.
//                    This header file is inteded to document the dependencies
//                    between the various header files.
//
// changes:
// 09 Jan 2001 (TG) creation
// 25 Jan 2001 (TG) removed obsolete include files, added GTopp.hh, GPattern.hh
// 15 Mar 2001 (TG) added EcalHit.hh, Wire.hh
// 16 Jul 2001 (TG) added PID.hh
// 27 Jul 2001 (TG) removed old pattern includes, added gcombiner includes
// 17 Aug 2001 (TG) added pattern includes
// 20 Aug 2001 (TG) added MC_Vertex.hh
// 28 Sep 2001 (TG) added SDistance.hh
// 09 Okt 2001 (TG) added PrimaryVertex.hh
//
// *****************************************************************************

// clue includes
#include "clue/cluefwd.hh"
#include "gate/gatefwd.hh"
#include "clue/cluearte.hh"       // needed by clue
#include "clue/EcalHit.hh"
#include "clue/Wire.hh"
#include "clue/RecoTrack.hh"
#include "clue/RecoVertex.hh"
#include "clue/MC_Track.hh"
#include "clue/MC_Vertex.hh"
#include "clue/GTopp.hh"
#include "clue/PdtNames.hh"
#include "gate/ObjArray.hh"
#include "gate/ClonesArray.hh"
#include "clue/PID.hh"
#include "clue/PrimaryVertex.hh"

// Vt++ includes
#include "vt++/VtVertex.hh"
#include "vt++/VtRelation.hh"
#include "vt++/VtDistance.hh"

// gcombiner includes
#include "gcombiner/GCombiner.hh"
#include "gcombiner/SCombiner.hh"

// analysis includes
#include "clue/AnalysisChain.hh"

// pattern includes
#include "pattern/SDecayPatternMatchContainer.hh"
#include "pattern/SPatternExpression.hh"

// smatrix includes
#include "smatrix/SDistance.hh"

#endif
