#ifndef BEE_INI_HH
#define BEE_INI_HH
// *****************************************************************************
//
// source:
//
// type:      source code
//
// created:   14. Aug 2001
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: Class to initialize the BEE package
//
// changes:
// 01 Feb 2001 (TG) creation
//
// *****************************************************************************

#ifdef NAMESPACE
namespace CLUE {
#endif

class PkgIni;

/// Global object which holds XCVS information for \textbf{BEE} project.
extern const PkgIni BEESteer;

/// Global object which holds XCVS information for \textbf{ARTE} project.
extern const PkgIni ARTESteer;

/// Global object which holds XCVS information for \textbf{CERN} project.
extern const PkgIni CERNSteer;

/// Global object which holds XCVS information for \textbf{doc} project.
extern const PkgIni DocSteer;

/// Global object which holds XCVS information for \textbf{gcombiner} project.
extern const PkgIni GCombinerSteer;

/// Global object which holds XCVS information for \textbf{grelation} project.
extern const PkgIni GRelationSteer;

/// Global object which holds XCVS information for \textbf{interfaces} project.
extern const PkgIni InterfacesSteer;

/// Global object which holds XCVS information for \textbf{smatrix} project.
extern const PkgIni SMatrixSteer;
#ifdef NAMESPACE
} // namespace CLUE
#endif
#endif
