#ifndef __CUTIF_HH
#define __CUTIF_HH
// ********************************************************************
//
// source:
//
// type:      source code
//
// created:   25. Apr 2001
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: Cut object interface
//
// changes:
// 25 Apr 2001 (TG) creation
//
// ********************************************************************

class TrackIf;
class VertexIf;

/** Abstract class which defines the minimal interface for a Cut object.

    @memo Cut Interface
    @author T. Glebe
*/
//==============================================================================
// CutIf
//==============================================================================
class CutIf {
public:
  /** @name --- Access methods --- */
  /// evaluate a track object
  virtual bool evaluate_track(const TrackIf& v) const = 0;
  /// evaluate a vertex object
  virtual bool evaluate_vertex(const VertexIf& v) const = 0;
}; // end of class CutIf
#endif
