#ifndef __FINDPATTERN_HH
#define __FINDPATTERN_HH
// ********************************************************************
//
// source:
//
// type:      source code
//
// created:   20. Jul 1997
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: Routine which takes a GCombiner and vertexes.
//
// changes:
// 30 Jan 2001 (TG) creation
//
// ********************************************************************
#include "gcombiner/GCombiner.hh"

class PatternMatch;
typedef list<PatternMatch*>       PM_l;
typedef GCombiner<PM_l>           PMCombiner;
typedef GCombiner<PM_l>::iterator PMCombiner_it;

//==============================================================================
// collision function for Pattern matches
//==============================================================================
bool collision(GCombinerIterator<PM_l>& rhs);

//==============================================================================
// findPattern
//==============================================================================
bool findPattern(const PMCombiner& source, PMCombiner& target);

#endif
