// ********************************************************************
//
// source:
//
// type:      source code
//
// created:   01. Feb 2001
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: global ClMembers objects from RecoTrack
//
// changes:
// 01 Feb 2001 (TG) creation
//
// ********************************************************************
#include "pattern/Property.hh"
#include "clue/cluearte.hh"   // needed by RecoTrack.hh
#include "clue/RecoTrack.hh"

//==============================================================================
// global Objects
//==============================================================================
const ClMember<RecoTrack,float> tx     ( &RecoTrack::tx, "tx" );
const ClMember<RecoTrack,float> ty     ( &RecoTrack::ty, "ty" );
const ClMember<RecoTrack,float> x      ( &RecoTrack::x , "x"  );
const ClMember<RecoTrack,float> y      ( &RecoTrack::y , "y"  );
const ClMember<RecoTrack,float> p      ( &RecoTrack::p , "p"  );
const ClMember<RecoTrack,float> zref   ( &RecoTrack::z , "z"  );
const ClMember<RecoTrack,float> pz     ( &RecoTrack::pz, "pz" );
const ClMember<RecoTrack,float> pt     ( &RecoTrack::pt, "pt" );
const ClMember<RecoTrack,float> chi2   ( &RecoTrack::chi2, "chi2" );
const ClMember<RecoTrack,float> trprob ( &RecoTrack::trprob, "trprob" );
  
const ClMember<RecoTrack,int>   flr    ( &RecoTrack::flr, "flr"  );
const ClMember<RecoTrack,int>   flt    ( &RecoTrack::flt, "flt"  );
const ClMember<RecoTrack,int>   fle    ( &RecoTrack::fle, "fle"  );
const ClMember<RecoTrack,int>   flm    ( &RecoTrack::flm, "flm"  );

const ClMember<RecoTrack,float> lre    ( &RecoTrack::lre, "lre"  );
const ClMember<RecoTrack,float> lrmu   ( &RecoTrack::lrmu, "lrmu" );
const ClMember<RecoTrack,float> lrpi   ( &RecoTrack::lrpi, "lrpi" );
const ClMember<RecoTrack,float> lrk    ( &RecoTrack::lrk, "lrk"  );
const ClMember<RecoTrack,float> lrp    ( &RecoTrack::lrp, "lrp"  );

const ClMember<RecoTrack,float> lte    ( &RecoTrack::lte, "lte"  );
const ClMember<RecoTrack,float> lth    ( &RecoTrack::lth, "lth"  );

const ClMember<RecoTrack,float> lee    ( &RecoTrack::lee, "lee"  );
const ClMember<RecoTrack,float> lemi   ( &RecoTrack::lemi, "lemi" );
const ClMember<RecoTrack,float> leh    ( &RecoTrack::leh, "leh"  );

const ClMember<RecoTrack,float> lmmu   ( &RecoTrack::lmmu, "lmmu" );
const ClMember<RecoTrack,float> lmh    ( &RecoTrack::lmh, "lmh"  );

const ClMember<RecoTrack,float> lmu    ( &RecoTrack::lmu, "lmu"  );
const ClMember<RecoTrack,float> lpi    ( &RecoTrack::lpi, "lpi"  );
const ClMember<RecoTrack,float> lk     ( &RecoTrack::lk, "lk"   );
const ClMember<RecoTrack,float> lp     ( &RecoTrack::lp, "lp"   );

const ClMember<RecoTrack,int>   fit    ( &RecoTrack::fit, "fit" );
const ClMember<RecoTrack,int>   charge ( &RecoTrack::charge, "charge" );

const ClMember<RecoTrack,int>   hsi    ( &RecoTrack::hsi, "hsi" );
const ClMember<RecoTrack,int>   hin    ( &RecoTrack::hin, "hin" );
const ClMember<RecoTrack,int>   hou    ( &RecoTrack::hou, "hou" );
const ClMember<RecoTrack,int>   hri    ( &RecoTrack::hri, "hri" );
const ClMember<RecoTrack,int>   hca    ( &RecoTrack::hca, "hca" );
const ClMember<RecoTrack,int>   htr    ( &RecoTrack::htr, "htr" );
const ClMember<RecoTrack,int>   hmu    ( &RecoTrack::hmu, "hmu" );

const ClMember<RecoTrack,float> ebrems ( &RecoTrack::ebrems, "ebrems" );
const ClMember<RecoTrack,float> energy ( &RecoTrack::energy, "energy" );
const ClMember<RecoTrack,float> xf     ( &RecoTrack::xf, "xf" );

const ClMember<RecoTrack,int>   isRICH ( &RecoTrack::isRICH, "isRICH" );
const ClMember<RecoTrack,int>   isOTR  ( &RecoTrack::isOTR, "isOTR" );
const ClMember<RecoTrack,int>   isVDS  ( &RecoTrack::isVDS, "isVDS" );
const ClMember<RecoTrack,int>   isECAL ( &RecoTrack::isECAL, "isECAL" );

const ClConstant<RecoTrack,int> all    ( true );
