#ifndef __RECOTRACKMEMBER_HH
#define __RECOTRACKMEMBER_HH
// ********************************************************************
//
// source:
//
// type:      source code
//
// created:   01. Feb 2001
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: Declaration of ClMembers from RecoTrack
//
// changes:
// 01 Feb 2001 (TG) creation
//
// ********************************************************************

// for CINT the ClMembers are treated in PatternDeclaration.hh
#ifndef __CINT__
class RecoTrack;
extern const ClMember<RecoTrack,float> tx;
extern const ClMember<RecoTrack,float> ty;
extern const ClMember<RecoTrack,float> x;
extern const ClMember<RecoTrack,float> y;
extern const ClMember<RecoTrack,float> p;
extern const ClMember<RecoTrack,float> zref;
extern const ClMember<RecoTrack,float> pz;
extern const ClMember<RecoTrack,float> pt;
extern const ClMember<RecoTrack,float> chi2;
extern const ClMember<RecoTrack,float> trprob;
  
extern const ClMember<RecoTrack,int>   flm;
extern const ClMember<RecoTrack,int>   flr;
extern const ClMember<RecoTrack,int>   flt;
extern const ClMember<RecoTrack,int>   fle;

extern const ClMember<RecoTrack,float> lre;
extern const ClMember<RecoTrack,float> lrmu;
extern const ClMember<RecoTrack,float> lrpi;
extern const ClMember<RecoTrack,float> lrk;
extern const ClMember<RecoTrack,float> lrp;

extern const ClMember<RecoTrack,float> lte;
extern const ClMember<RecoTrack,float> lth;

extern const ClMember<RecoTrack,float> lee;
extern const ClMember<RecoTrack,float> lemi;
extern const ClMember<RecoTrack,float> leh;

extern const ClMember<RecoTrack,float> lmmu;
extern const ClMember<RecoTrack,float> lmh;

extern const ClMember<RecoTrack,float> lmu;
extern const ClMember<RecoTrack,float> lpi;
extern const ClMember<RecoTrack,float> lk;
extern const ClMember<RecoTrack,float> lp;

extern const ClMember<RecoTrack,int>   fit;
extern const ClMember<RecoTrack,int>   charge;

extern const ClMember<RecoTrack,int>   hsi;
extern const ClMember<RecoTrack,int>   hin;
extern const ClMember<RecoTrack,int>   hou;
extern const ClMember<RecoTrack,int>   hri;
extern const ClMember<RecoTrack,int>   hca;
extern const ClMember<RecoTrack,int>   htr;
extern const ClMember<RecoTrack,int>   hmu;

extern const ClMember<RecoTrack,float> ebrems;
extern const ClMember<RecoTrack,float> energy;
extern const ClMember<RecoTrack,float> xf;

extern const ClMember<RecoTrack,int>   isRICH;
extern const ClMember<RecoTrack,int>   isOTR;
extern const ClMember<RecoTrack,int>   isVDS;
extern const ClMember<RecoTrack,int>   isECAL;

extern const ClConstant<RecoTrack,int> all;
#endif //__CINT__
#endif
